' --------------------------------------------------------------------------------------
'
' HelloMain.VB                                                    Ulrich Mller 20.05.08
'                                                                 PCS1700         VB2005
' Kleines Beispiel zur Nutzung von umFish40.DLL (v4.3.75.0) / FtLib.LIB (v1.70a)
' ROBO Interface am ersten USB-Port. Mit Taster an I1 und Motor/Lampe an M1
'
' --------------------------------------------------------------------------------------

Imports cs = System.Console
Imports um = HelloVBNETRobo.umFish40

Module HelloMain

	Sub Main()
    Dim i%, iHandle%

    cs.WriteLine("--- Hello VB.NET gestartet ---")
    iHandle = um.rbOpenInterfaceUSBdis(IFTypen.ftROBO_first_USB, 0, um.ftiDisUltra)
    If iHandle = um.rbFehler Then
      cs.WriteLine("Da stimmt was nicht : ENDE (Return-Taste)")
      cs.ReadLine()
      Return
    End If
      cs.WriteLine("Interface : " & um.rbGetActDeviceType(iHandle) & " / " _
      & um.rbGetActDeviceSerialNr(iHandle))
      cs.WriteLine("mit Firmware : " & um.rbGetActDeviceFirmwareNr(iHandle).ToString("X"))
      cs.WriteLine("IN ACTION : Start I1 drcken")
    While um.rbGetInput(iHandle, 1) = 0
      um.Sleep(123)
    End While
    For i = 1 To 5
      cs.WriteLine("Blinker : " & i)
      um.rbSetMotor(iHandle, 1, 1)
      um.Sleep(333)
      um.rbSetMotor(iHandle, 1, 0)
      um.Sleep(333)
    Next
    um.rbCloseInterface(iHandle)
    cs.WriteLine("--- Hello VB.NET beendet (Return-Taste) ---")
    cs.ReadLine()
  End Sub

End Module
